给开始学习CentOS的用户一些建议

分类:CentOS教程 阅读:59007 次

建议读者范围
有开发经验者。
科研人员(由其Numrical)。
动手能力强的。
只是好奇,对于Linux只是浅尝辄止的就不建议继续往下看了。
端正学习态度
Linux不等于骇客(or Cracker)。
当然众所周知很多“黑客工具”都是Linux平台上的,我帮助过很多Linux小白发现他们殊途同归都是朝着类似Aircrack-ng去的。
但他们不知道的是:
Linux只是一个工具,工具不是目的,只是手段。这一点很重要。
Linux很快的完成你的需求目标。因为他是个专业级别的工具。
工具跟工具之间各有利弊人和人都不能比呢。
正确认识qq群。
潜水的太多
正经帮人的几乎没有,千人群里面不会超过5个活跃的并且愿意帮助人的高手。
另外问无意义问题,无厘头问题(没有前因后果,不知道要干啥就提问的问题)太多,高手就都走了。不愿意回答。
Linux与Windows
没必要比,个人认为操作系统当前满足的需求内容是不同的。
桌面习惯那个就用那个,两个不是水火不相容。
什么文章有必要看什么文章没有必要看
垃圾文,讨论哪个好,哪个坏的。
一看文章就只是手记,不是给人看的。
百度文章非热搜词PageRank做的真心是非常糟糕。
关于英文
Manual全是英文
大家在Mailling list和IRC里面都说英文
Email跟国外高手切磋得用英文。
google搜关键问题得用英文。
压根躲不过去,所以必须得用英文。
不会英文不会学不好。只是可能会比会英语的人学的慢一点,比会英语的人吃力一点。
学Linux不是为了装系统就完了。要学习Linux擅长的一面,而不是薄弱的一面去跟windows相比,但是新的微软(DotNet开源,新的windows10已经对开发者利好,以及做技术的CEO。。。。),与Ubuntu branch的新星Deepin Linux以一定会在未来大放异彩。虽然PC已经疲软。
关于开发
如果你想用Linux工作的话。那么Linux跟开发绝对不是分开的东西。
开发的不可能不懂一点Linux运维,因为他们不会搭建环境怎么开发。
一个好的运维不可能不懂开发。最贴切的例子:运维脚本。服务器状态数据可视化(Gnuplot,虽然cacti都有现成的了)等等。
发行版本
既然是来学习的,来解决身边问题的。那么就不要考虑好不好的问题,而是考虑什么好用什么不好用的问题。举几个贴切的例子。
Service方面,如果你使用Linux来坐传统的LAMP业务的花,想稳定而且有长期维护的版本那么RHEL(CentOS)系列的就比较适合你了。
现在是Linux3.0时代,正处于版本号狂飙阶段(据闻,脱袜子准备3.19之后换挡到4.0了),各种新功能各种百花齐放。因此如果想用比较新的功能请使用版本好比较新的发行版本(Ubuntu,Fedora,等等)
客观的来讲发行版本的选择:
选使用人比较多的,因为社区庞大,寻求到帮助的概率比较大。并且BUG也会是比较少的。
根据应用情况来选择,如果是路由那么就选OpenWRT,另外如果是树莓派等等虽然选择比较多,但是为了稳定运行请选择官方提供的Image。会比较方便。
推荐使用的发行版本
推荐LFS
也许很多人会反持有不同的意见。但是LFS如果使用CentOS 6版本如果严格按照教程来做,那么就会非常非常轻松的完成安装。
既然这么轻松,为什么我还要推荐LFS来做初次学习Linux的学习版本呢?
在安装的过程中会熟悉很多很多Linux命令。
还会熟悉Linux到底怎么组织运行起来的。遇到问题的时候才不会胡子眉毛一把抓。因为它的确不是很简单的小系统。
会有机会熟悉各种Linux模块,明白到底什么是Linux内核,哪里是Linux内核,哪里是Linux。会绕过很多很多坑。
不管选择什么发行版本:学知识,更好学习方法(学习方法,解决问题的方法,搜索的方法,等等都有好处)。
到底要不要桌面?
建议不要桌面。
如果您是windows建议使用VirtualBox+headerLess做成托盘+Putty远程控制。
如果您是Mac建议使用VBoxHeadless的命令行使用Screen挂起运行。
学习Linux的配置
因为刚开始学习不宜直接安装Linux(如果不是超狂热爱好者还是选择虚拟机Linux比较合适,因为现在已经到了云时代了)
虚拟机配置选择单核或者双核(如果您的机器配置高可以选择更高),如果只是个人使用的话,内存512MB足够了。已经非常大了。一般正常情况下裸奔的Linux不到100MB左右的内存使用。
如何问问题
请不要轻易提问,因为你每一次找人帮忙解决问题不但占用别人的时间,并且最重要的是,丢失了一次重要的学习机会。
轻易不要到qq群里面提问,因为qq群里面有非常非常多的只会装Linux以及讨论Wine,Compiz问题的人,以及问一些关于QQ安装的问题。